// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License.

// <auto-generated/>

#nullable disable

namespace Azure.AI.AnomalyDetector.Models
{
    /// <summary> Can only be one of yearly, monthly, weekly, daily, hourly, minutely or secondly. Granularity is used for verify whether input series is valid. </summary>
    public enum Granularity
    {
        /// <summary> yearly. </summary>
        Yearly,
        /// <summary> monthly. </summary>
        Monthly,
        /// <summary> weekly. </summary>
        Weekly,
        /// <summary> daily. </summary>
        Daily,
        /// <summary> hourly. </summary>
        Hourly,
        /// <summary> minutely. </summary>
        Minutely,
        /// <summary> secondly. </summary>
        Secondly
    }
}
